Bug 239050 - DRM module compile fails with vm_insert_pfn names conflict
Summary: DRM module compile fails with vm_insert_pfn names conflict
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 17:04 UTC by Calin Brabandt
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-04 17:50:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
freedesktop.org DRM won't compile bug report (30.04 KB, text/html)
2007-05-04 17:04 UTC, Calin Brabandt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 10576 None None None Never

Description Calin Brabandt 2007-05-04 17:04:09 UTC
Description of problem:
DRM modules won't compile with 2.6.20-1.3104.fc7 (vm_insert_pfn names conflict)

Version-Release number of selected component (if applicable):
Fedora 7-test4 and 2.6.20-1.3104.fc7

How reproducible:
100%

Steps to Reproduce:
1.Obtain current DRM source
git-clone git://anongit.freedesktop.org/git/mesa/drm
2. make
3.
  
Actual results:
[mythtv@localhost linux-core]$ make
make -C /lib/modules/2.6.20-1.3104.fc7/source  SUBDIRS=`pwd` DRMSRCDIR=`pwd` modules
make[1]: Entering directory `/usr/src/kernels/2.6.20-1.3104.fc7-i686'
  CC [M]  /home/mythtv/src/drm/linux-core/drm_compat.o
/home/mythtv/src/drm/linux-core/drm_compat.c:190: error: static declaration of
‘vm_insert_pfn’ follows non-static declaration
include/linux/mm.h:1131: error: previous declaration of ‘vm_insert_pfn’ was here
make[2]: *** [/home/mythtv/src/drm/linux-core/drm_compat.o] Error 1
make[1]: *** [_module_/home/mythtv/src/drm/linux-core] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.20-1.3104.fc7-i686'
make: *** [modules] Error 2

Expected results:
Successful compile of DRM

Additional info:
Bug reported here to freedesktop.org but they aren't fixing it.
http://bugs.freedesktop.org/show_bug.cgi?id=10576

Comment 1 Calin Brabandt 2007-05-04 17:04:09 UTC
Created attachment 154141 [details]
freedesktop.org DRM won't compile bug report

Comment 2 Chuck Ebbert 2007-05-04 17:50:14 UTC
Fixed with newer kernels based on official 2.6.21.

http://people.redhat.com/davej/kernels/Fedora/fc7/



Comment 3 Calin Brabandt 2007-05-06 18:43:08 UTC
Fix confirmed. :)  Thank you!


Note You need to log in before you can comment on or make changes to this bug.